Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::LentPitShift Class Reference

Pitch shifter effect class based on the Lent algorithm. More...

`#include <LentPitShift.h>`

Inheritance diagram for stk::LentPitShift:

List of all members.

## Public Member Functions
| LentPitShift (StkFloat periodRatio=1.0, int tMax=RT_BUFFER_SIZE)
| Class constructor.
void | clear (void)
| Reset and clear all internal state.
void | setShift (StkFloat shift)
| Set the pitch shift factor (1.0 produces no shift).
StkFloat | tick (StkFloat input)
| Input one sample to the filter and return one output.
StkFrames & | tick (StkFrames &frames, unsigned int channel=0)
| Take a channel of the StkFrames object as inputs to the filter and replace with corresponding outputs.
StkFrames & | tick (StkFrames &iFrames, StkFrames &oFrames, unsigned int iChannel=0, unsigned int oChannel=0)
| Take a channel of the `iFrames` object as inputs to the filter and write outputs to the `oFrames` object.
## Protected Member Functions
void | process ()
| Apply the effect on the input samples and store it.

## Detailed Description

Pitch shifter effect class based on the Lent algorithm.

This class implements a pitch shifter using pitch tracking and sample windowing and shifting.

by Francois Germain, 2009.

## Member Function Documentation

StkFrames & stk::LentPitShift::tick | ( | StkFrames & | frames,
|  | unsigned int | channel = `0` |
| ) |  |  | `[inline]`

Take a channel of the StkFrames object as inputs to the filter and replace with corresponding outputs.

The StkFrames argument reference is returned. The `channel` argument must be less than the number of channels in the StkFrames argument (the first channel is specified by 0). However, range checking is only performed if _STK_DEBUG_ is defined during compilation, in which case an out-of-range value will trigger an StkError exception.

StkFrames & stk::LentPitShift::tick | ( | StkFrames & | iFrames,
|  | StkFrames & | oFrames,
|  | unsigned int | iChannel = `0`,
|  | unsigned int | oChannel = `0` |
| ) |  |  | `[inline]`

Take a channel of the `iFrames` object as inputs to the filter and write outputs to the `oFrames` object.

The `iFrames` object reference is returned. Each channel argument must be less than the number of channels in the corresponding StkFrames argument (the first channel is specified by 0). However, range checking is only performed if _STK_DEBUG_ is defined during compilation, in which case an out-of-range value will trigger an StkError exception.

void stk::LentPitShift::process | ( |  | ) | `[inline, protected]`

Apply the effect on the input samples and store it.

The samples stored in the input frame vector are processed and the delayed result are stored in the output frame vector

The documentation for this class was generated from the following file:

- LentPitShift.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.